function init(hero) {
    hero.setName("Crystal/Crystalia Amaquelin");
    hero.setTier(7);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
	hero.addPowers("tgheroes:crystal_powers");
    hero.addAttribute("PUNCH_DAMAGE", 2.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
	hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
	
    hero.addKeyBind("AIM", "Fire", 1);
    hero.addKeyBind("EARTHQUAKE", "Earthquake", 4);
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 2);
    hero.addKeyBind("CHARGED_BEAM", "Lighning", 3);   
	
	hero.supplyFunction("canAim", canAim);

}
function canAim(entity) {
    return entity.getHeldItem().isEmpty() ;
}